%define name php-pear-SOAP
%define rname SOAP
%define version 0.8.1
%define rversion 0.8.1
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: SOAP Client/Server for PH
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/SOAP
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php >= 4.1
Requires: php-pcre
Requires: php-pear-HTTP_Request
Requires: php-pear-Net_URL
Requires: php-pear-Net_DIME
%description
Implementation of SOAP protocol and services

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/SOAP
cp Base.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Base.php
cp Client.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Client.php
cp Disco.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Disco.php
cp Fault.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Fault.php
cp Parser.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Parser.php
cp Server.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Server.php
cp Transport.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Transport.php
cp Value.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Value.php
cp WSDL.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/WSDL.php
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example
cp example/attachment.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/attachment.php
cp example/client.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/client.php
cp example/com_client.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/com_client.php
cp example/disco_server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/disco_server.php
cp example/email_client.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/email_client.php
cp example/email_gateway.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/email_gateway.php
cp example/email_pop_gateway.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/email_pop_gateway.php
cp example/email_pop_server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/email_pop_server.php
cp example/email_server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/email_server.php
cp example/example_server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/example_server.php
cp example/example_types.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/example_types.php
cp example/server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/server.php
cp example/server2.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/server2.php
cp example/smtp.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/smtp.php
cp example/stockquote.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/stockquote.php
cp example/tcp_client.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/tcp_client.php
cp example/tcp_daemon.pl $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/tcp_daemon.pl
cp example/tcp_server.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/tcp_server.php
cp example/wsdl_client.php $RPM_BUILD_ROOT%{pear_docdir}/SOAP//example/wsdl_client.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/tools
cp tools/genproxy.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/tools/genproxy.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Transport
cp Transport/HTTP.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Transport/HTTP.php
cp Transport/SMTP.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Transport/SMTP.php
cp Transport/TCP.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Transport/TCP.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Server
cp Server/Email.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Server/Email.php
cp Server/Email_Gateway.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Server/Email_Gateway.php
cp Server/TCP.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Server/TCP.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Type
cp Type/dateTime.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Type/dateTime.php
cp Type/duration.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Type/duration.php
cp Type/hexBinary.php $RPM_BUILD_ROOT%{pear_phpdir}/SOAP/Type/hexBinary.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/SOAP
%dir %{pear_docdir}/SOAP//example
%dir %{pear_phpdir}/SOAP/tools
%dir %{pear_phpdir}/SOAP/Transport
%dir %{pear_phpdir}/SOAP/Server
%dir %{pear_phpdir}/SOAP/Type
%{pear_phpdir}/SOAP/Base.php
%{pear_phpdir}/SOAP/Client.php
%{pear_phpdir}/SOAP/Disco.php
%{pear_phpdir}/SOAP/Fault.php
%{pear_phpdir}/SOAP/Parser.php
%{pear_phpdir}/SOAP/Server.php
%{pear_phpdir}/SOAP/Transport.php
%{pear_phpdir}/SOAP/Value.php
%{pear_phpdir}/SOAP/WSDL.php
%{pear_docdir}/SOAP//example/attachment.php
%{pear_docdir}/SOAP//example/client.php
%{pear_docdir}/SOAP//example/com_client.php
%{pear_docdir}/SOAP//example/disco_server.php
%{pear_docdir}/SOAP//example/email_client.php
%{pear_docdir}/SOAP//example/email_gateway.php
%{pear_docdir}/SOAP//example/email_pop_gateway.php
%{pear_docdir}/SOAP//example/email_pop_server.php
%{pear_docdir}/SOAP//example/email_server.php
%{pear_docdir}/SOAP//example/example_server.php
%{pear_docdir}/SOAP//example/example_types.php
%{pear_docdir}/SOAP//example/server.php
%{pear_docdir}/SOAP//example/server2.php
%{pear_docdir}/SOAP//example/smtp.php
%{pear_docdir}/SOAP//example/stockquote.php
%{pear_docdir}/SOAP//example/tcp_client.php
%{pear_docdir}/SOAP//example/tcp_daemon.pl
%{pear_docdir}/SOAP//example/tcp_server.php
%{pear_docdir}/SOAP//example/wsdl_client.php
%{pear_phpdir}/SOAP/tools/genproxy.php
%{pear_phpdir}/SOAP/Transport/HTTP.php
%{pear_phpdir}/SOAP/Transport/SMTP.php
%{pear_phpdir}/SOAP/Transport/TCP.php
%{pear_phpdir}/SOAP/Server/Email.php
%{pear_phpdir}/SOAP/Server/Email_Gateway.php
%{pear_phpdir}/SOAP/Server/TCP.php
%{pear_phpdir}/SOAP/Type/dateTime.php
%{pear_phpdir}/SOAP/Type/duration.php
%{pear_phpdir}/SOAP/Type/hexBinary.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-1mdk

- First mdk package

